%define major_version 1.0
%define minor_version 1

Name: redhat-idm-console
Version: %{major_version}.%{minor_version}
Release: 1%{?dist}
Summary: Red Hat Management Console

Group: Applications/System
License: LGPLv2
URL: http://www.redhat.com/directory_server/

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source: %{name}-%{version}.tar.bz2
Requires: idm-console-framework >= 1.1
Requires: java-ibm >= 1.6.0
BuildRequires: ant >= 1.6.2
BuildRequires: ldapjdk >= 4.18
BuildRequires: jss >=  4.2
BuildRequires: idm-console-framework >= 1.1
BuildRequires: java-devel-ibm >= 1.6.0
BuildRequires: jpackage-utils >= 1.7.0

%description
A Java based remote management console used for Managing Red Hat
Administration Server and Red Hat Directory Server.

%prep
%setup -q
                                                                                
%build
%{ant} \
    -Dlib.dir=%{_libdir} \
    -Dbuilt.dir=`pwd`/built
                                                                                
%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
install -m644 built/*.jar $RPM_BUILD_ROOT%{_javadir}
install -d $RPM_BUILD_ROOT%{_bindir}
install -m755 built/%{name} $RPM_BUILD_ROOT/%{_bindir}

# create symlinks
pushd $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}-%{version}_en.jar %{name}-%{major_version}_en.jar
ln -s %{name}-%{version}_en.jar %{name}_en.jar
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_javadir}/%{name}-%{version}_en.jar
%{_javadir}/%{name}-%{major_version}_en.jar
%{_javadir}/%{name}_en.jar
%{_bindir}/%{name}

%changelog
* Wed Apr  9 2009 Rich Megginson <rmeggins@redhat.com> 1.0.1-1
- changed version to fix rpmdiff error - version changed to 1.0.1
- to make it consistent with other idm console releases

* Wed Apr  9 2009 Rich Megginson <rmeggins@redhat.com> 8.1.0-1
- changed version to fix rpmdiff error - version changed to 8.1.0
- to make it consistent with other DS packages

* Tue Mar  3 2009 Nathan Kinder <nkinder@redhat.com> 1.0.0-26
- Updated URL and updated sources for bugfixes.

* Mon Feb  9 2009 Rich Megginson <rmeggins@redhat.com> 1.0.0-25
- rebuild to pick up bug fixes for 8.1

* Wed Jan 14 2009 Rich Megginson <rmeggins@redhat.com> 1.0.0-24
- use java-ibm >= 1.6.0 and jpackage-utils >= 1.7.0

* Thu Mar  6 2008 Rich Megginson <rmeggins@redhat.com> 1.0.0-22.el4idm
- Resolves: bug 436101
- Description: redhat-idm-console shell script is world writable
- Fix Description: Install with mode -m755 instead of -m777
- I also fixed up some other issues reported by rpmlint

* Wed Nov 21 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-21.el4idm
- Moved doc home link into theme jar.

* Fri Nov  2 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-20.el4idm
- Added LD_LIBRARY_PATH to start script.

* Wed Oct 31 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-19.el4idm
- Updated sources.

* Thu Oct 25 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-18.el4idm
- Corrected libdir used to locate JSS library.

* Wed Oct 17 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-17.el4idm
- Updated sources to pickup new console start script.

* Fri Sep 28 2007 Margaret Lum <mlum@redhat.com> 1.0.0-16.el4idm
- Build with dirsec-jss built with IBM JVM 1.4.2.

* Mon Aug 20 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-10.el4idm
- Corrected sources.

* Mon Aug 20 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-9.el4idm
- Updated sources.

* Wed Aug 15 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-8.el4idm
- Added back noarch now that jss package uses an arch independent
  jarfile location.

* Thu Aug  9 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-7.el4idm
- Removed noarch from package to ensure the proper libdir is used.

* Fri Jul 27 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-2
- Modified package name to be less generic.

* Mon Jul 26 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-1
- Initial creation
